Exception in thread "main" java.lang.UnsupportedClassVersionError...

alvarock
02 de Junio del 2009
Hola, no entiendo nada!!!
acabo de instalr el JDK 5.O Update 6
y cuando ejecuto un archivo, compilado sin problemas, me aparece este error:
Exception in thread "main" java.lang.UnsupportedClassVersionError...
(Unsupported major.minor version 49.0)
at java.lang.Classloader.defineClass0(Native method)
at java.lang.Classloader.defineClass0(Unknow Source)
...

porfavor necesito ayuda rápido para poder continuar...



checki
02 de Junio del 2009
hola,
no sé si os servirá pero me pasó algo parecido.

Abrí el netbeans, seleccioné el proyecto (no el package), fuí a propiedades y luego a librerias, y ahí te deja seleccionar la version del java Platform. Quité el 1.6(default) y dejé el 1.6 (a secas)....
Luego clean and build project...

Abrí la consola y fuí navegando por los directorios hasta:
c:archivos d eprogramajavaSunsdkjdk>java -jar xxxxx

y copié la linea que te da el netbeans
y se me SOLUCIONÓ el problema.....

Estos fueron los pasos que hice, a lo mejor no todos son necesarios...pero....